%define pypi_name pandas

# we don't want to provide private python extension libs
%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}%{python3_sitearch}/.*\\.so

Name:           python-pandas
Version:        1.1.5
Release:        %mkrel 1
Group:          Development/Python
Summary:        Powerful data structures for data analysis, time series,and statistics
License:        BSD
URL:            http://pandas.pydata.org/
Source0:        https://pypi.io/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         linking.patch
BuildRequires: dos2unix

%description
pandas is a Python package providing fast, flexible, and expressive data
structures designed to make working with structured (tabular, multidimensional,
potentially heterogeneous) and time series data both easy and intuitive. It
aims to be the fundamental high-level building block for doing practical,
real world data analysis in Python.

%package -n python3-pandas
Summary:	Powerful data structures for data analysis, time series,and statistics
Group:		Development/Python
BuildRequires:	python3-devel
BuildRequires:	python3-numpy-devel
BuildRequires:	python3-setuptools
BuildRequires:  cython

%description -n python3-pandas
pandas is a Python package providing fast, flexible, and expressive data
structures designed to make working with structured (tabular, multidimensional,
potentially heterogeneous) and time series data both easy and intuitive. It
aims to be the fundamental high-level building block for doing practical,
real world data analysis in Python.

%prep
%setup -n %{pypi_name}-%{version}
dos2unix setup.py
%autopatch -p1

# Cython is too old in RHEL8.0
%{!?el8:rm -f $(grep -rl '/\* Generated by Cython')}
# drop bundled egg-info
rm -rf pandas.egg-info/

%build
%py3_build

%install
%py3_install

%files -n python3-pandas
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-*.egg-info/


%changelog
* Fri Dec 18 2020 joequant <joequant> 1.1.5-1.mga8
+ Revision: 1660563
- update to 1.1.5

* Wed Jun 10 2020 joequant <joequant> 1.0.4-1.mga8
+ Revision: 1591627
- add cython as dep
- update to 1.0.4
- update to 1.0.4

* Tue Feb 18 2020 umeabot <umeabot> 0.25.3-2.mga8
+ Revision: 1541549
- Mageia 8 Mass Rebuild

* Sun Dec 29 2019 joequant <joequant> 0.25.3-1.mga8
+ Revision: 1474669
- update 0.25.3

* Mon Sep 16 2019 wally <wally> 0.25.0-3.mga8
+ Revision: 1442261
- add patch to fix linking
- udpate provides excludes

* Mon Sep 16 2019 joequant <joequant> 0.25.0-2.mga8
+ Revision: 1441787
- remove undefined flag to allow for compile
- Python 3.8 rebuild

* Sun Aug 04 2019 wally <wally> 0.25.0-1.mga8
+ Revision: 1427296
- new version 0.25.0
- no more python2 support

* Thu Apr 18 2019 joequant <joequant> 0.24.2-1.mga7
+ Revision: 1392935
- upgrade to 0.24.2

* Sat Jan 12 2019 wally <wally> 0.23.4-1.mga7
+ Revision: 1355483
- new version 0.23.4
+ tmb <tmb>
- rebuild for python 3.7
+ tv <tv>
- rebuild with python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.20.3-2.mga7
+ Revision: 1300543
- Mageia 7 Mass Rebuild

* Sun Sep 10 2017 joequant <joequant> 0.20.3-1.mga7
+ Revision: 1152533
- update to 0.20.3

* Sat Aug 05 2017 pterjan <pterjan> 0.18.0-2.mga7
+ Revision: 1135535
- Rebuild for python 3.6

* Sat Apr 23 2016 joequant <joequant> 0.18.0-1.mga6
+ Revision: 1005617
- upgrade to 1.8.0

* Tue Feb 16 2016 umeabot <umeabot> 0.17.0-3.mga6
+ Revision: 962252
- Mageia 6 Mass Rebuild

* Sun Nov 08 2015 joequant <joequant> 0.17.0-2.mga6
+ Revision: 898667
- rebuild for numpy 1.10

* Fri Oct 16 2015 joequant <joequant> 0.17.0-1.mga6
+ Revision: 892037
- update to 0.17.0

* Thu Oct 08 2015 joequant <joequant> 0.16.2-2.mga6
+ Revision: 887397
- upgrade to 3.5

* Thu Jul 16 2015 joequant <joequant> 0.16.2-1.mga6
+ Revision: 854780
- upgrade to 0.16.2

* Wed Oct 15 2014 umeabot <umeabot> 0.14.1-4.mga6
+ Revision: 750752
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.14.1-3.mga5
+ Revision: 729293
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.14.1-2.mga5
+ Revision: 688200
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 joequant <joequant> 0.14.1-1.mga5
+ Revision: 669387
- update to 0.14.1

* Sat May 31 2014 pterjan <pterjan> 0.13.1-2.mga5
+ Revision: 628867
- Rebuild for new Python

* Sat Apr 12 2014 philippem <philippem> 0.13.1-1.mga5
+ Revision: 613606
- update to 0.13.1, add Python3

* Tue Oct 22 2013 umeabot <umeabot> 0.12.0-3.mga4
+ Revision: 544062
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.12.0-2.mga4
+ Revision: 499051
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Aug 04 2013 joequant <joequant> 0.12.0-1.mga4
+ Revision: 463297
- imported package python-pandas

